Package: org.codehaus.groovy.ast.stmt

## [Java] Class CaseStatement

- org.codehaus.groovy.ast.stmt.CaseStatement

- Represents a case statement in a switch statement

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CaseStatement (Expression expression, Statement code)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Statement` | `getCode()`
    `Expression` | `getExpression()`
    `void` | `setCode(Statement code)`
    `void` | `setExpression(Expression e)`
    `String` | `toString()`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `getStatementLabel, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CaseStatement(Expression expression, Statement code)

  - ### Method Detail

    - #### public Statement getCode()

    - #### public Expression getExpression()

    - #### public void setCode(Statement code)

    - #### public void setExpression(Expression e)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)